Permalink
Fetching contributors…
Cannot retrieve contributors at this time
70 lines (49 sloc) 1.91 KB
title short-title description
Pub Package Manager
Pub
Use the pub tool to manage Dart packages.

You can use the pub tool to manage Dart packages. Pub is one of the tools that you get when you install the Dart SDK.

{% include flutter-packages.md %}

You can access the pub commands either through an IDE, such as WebStorm, or at the command line. Use whatever approach is most convenient.

**Problems?** See [Troubleshooting Pub](/tools/pub/troubleshoot).

Managing packages

Dart applications rely on packages. If your Dart app uses one or more library packages, then your app itself must be an application package.

{% include tools/pub-was-a-builder.md %}

How to

Concepts

Reference

Pub commands

The pub tool provides the following commands:

For an overview of all the pub commands, see Pub Commands.

Troubleshooting

Troubleshooting Pub gives solutions to problems that you might encounter when using pub.